#427 5.5 Binary Core

release
closed-rejected
nobody
Prebuilds (14)
5
2004-10-11
2004-10-08
No

hde@box1:~/work # /usr/local/gnu/bin/nedit -V

Pid 23619 received a SIGSEGV for stack growth failure.
Possible causes: insufficient memory or swap space,
or stack size exceeded maxssiz.
Segmentation fault (core dumped)

hde@box1:~/work # ll core
-rw------- 1 hde abcdev 873852 Oct 8
13:59 core

hde@box1:~/work # uname -a
HP-UX box B.11.00 A 9000/800

(gdb) backtrace
#0 0x680f078c in ?? ()
warning: Attempting to unwind past bad PC 0x680f078c
#1 0x680f078c in ?? ()
#2 0x680f078c in ?? ()
#3 0x680f078c in ?? ()
Cannot access memory at address 0x53514c45
- - -
The same binary works here:
hde@box2:~/work/nedit {hde} # uname -a
HP-UX box2 B.11.11 U 9000/800

A binary I built on box2 does run on box1:
hde@box1:~ # ./nedit -V
NEdit 5.5
Sep 30, 2004

Built on: HP/UX, PA-RISC, HP C [?]
Built at: Oct 6 2004, 14:10:48
With Motif: 2.1.0 [@(#)Motif Version 2.1.0]
Running Motif: 2.1 [unknown]
Server: The XFree86 Project, Inc 40300001
Visual: 16-bit TrueColor (ID 0x21, Default)
Locale: C

Discussion

  • Eddy De Greef

    Eddy De Greef - 2004-10-08

    Logged In: YES
    user_id=73597

    Is the core dumping binary the one from nedit.org or did you
    also build it yourself?
    I have no problem running the nedit.org binary on HP-UX
    B.11.00 A 9000/785 nor running a homebrew one.

     
  • Thorsten Haude

    Thorsten Haude - 2004-10-08

    Logged In: YES
    user_id=119143

    It's the prebuild unless I'm confused by the elaborate mount
    hierarchy at our site. I don't have a md5sum handy, but the
    size is 1346094, the same I see in nedit-5.5-HPUX/nedit.

    The self-built binary from 11.11 does run on 11.00, so there
    must be something else than plain version numbers.

     
  • Thorsten Haude

    Thorsten Haude - 2004-10-08

    Logged In: YES
    user_id=119143

    This is getting weird:
    - - - - - - - - - -
    hde@box3:~ # ll /path/one/to/binary/nedit
    /path/two/to/binary/nedit
    -r-xr-xr-x 1 root root 1346094 Oct 8 12:47
    /path/one/to/binary/nedit*
    -r-xr-xr-x 1 root root 1346094 Oct 8 12:47
    /path/two/to/binary/nedit*
    hde@box3:~ # /path/one/to/binary/nedit -V
    NEdit 5.5
    Sep 30, 2004

    Built on: HP/UX, PA-RISC, HP C [?]
    Built at: Oct 4 2004, 09:50:15
    With Motif: 1.2.4 [@(#)OSF/Motif Version 1.2.5]
    Running Motif: 1.2 [unknown]
    Server: The XFree86 Project, Inc 40300001
    Visual: 16-bit TrueColor (ID 0x21, Default)
    Locale: C

    hde@box3:~ # /path/two/to/binary/nedit -V

    Pid 4228 received a SIGSEGV for stack growth failure.
    Possible causes: insufficient memory or swap space,
    or stack size exceeded maxssiz.
    Segmentation fault
    hde@box3:~ # diff /path/one/to/binary/nedit
    /path/two/to/binary/nedit
    hde@box3:~ #

     
  • Thorsten Haude

    Thorsten Haude - 2004-10-08

    Logged In: YES
    user_id=119143

    hde@box3:~ # tusc /path/two/to/binary/nedit -V

    execve("/path/two/to/binary/nedit", 0x680f05c8, 0x680f05d4)
    ......................................................................................................
    = 0 [32-bit]

    Pid 4652 received a SIGSEGV for stack growth failure.
    Possible causes: insufficient memory or swap space,
    or stack size exceeded maxssiz.
    Received signal 11, SIGSEGV, in user mode, [SIG_DFL],
    partial siginfo
    Siginfo: si_code: I_NONEXIST, faulting address:
    0x368dc5c4, si_errno: 0
    PC: 0x680f037b, instruction: 0x00434f4c
    exit(11) [implicit]
    .............................................................................................................................................
    WIFSIGNALED(SIGSEGV)
    hde@box3:~ #

     
  • Eddy De Greef

    Eddy De Greef - 2004-10-08

    Logged In: YES
    user_id=73597

    Did you overwrite an existing binary when you installed it?
    If someone else was running that binary on box1 while you
    overwrote it on box2 or something like that, nfs may get
    confused and may serve you pages of the old binary from memory.
    I've seen similar problems on HPUX before. I'd try to place
    a copy of the binary at another place and see if it works
    from there on all boxes.
    The problem may go away after a while when nfs flushes its
    cache, but in a worst-case scenario, an nfs server reboot is
    necessary.

     
  • Thorsten Haude

    Thorsten Haude - 2004-10-11
    • status: open --> closed-rejected
     
  • Thorsten Haude

    Thorsten Haude - 2004-10-11

    Logged In: YES
    user_id=119143

    Yes, the problem went away once we used fresh names for the
    binaries. Thank you for your help.

     

Log in to post a comment.